# OpenMMException Class Reference

This class is used for all exceptions thrown by OpenMM. More...

`#include <OpenMMException.h>`

List of all members.

## Public Member Functions

| OpenMMException (const std::string &message)
| ~OpenMMException () throw ()
const char * | what () const throw ()

## Detailed Description

This class is used for all exceptions thrown by OpenMM.

## Constructor & Destructor Documentation

OpenMMException | ( | const std::string & | message | ) | `[inline, explicit]`

~OpenMMException | ( |  | ) | throw ()`[inline]`

## Member Function Documentation

const char* what | ( |  | ) | const throw ()`[inline]`

The documentation for this class was generated from the following file:

- OpenMMException.h